import { ModuleWithProviders, NgModule } from '@angular/core';
import { SendgridUrl } from '../config/sendgrid-url.config';
import { NgxPssSendgridComponent } from './ngx-pss-sendgrid.component';
import { HttpClientModule } from "@angular/common/http";
import { BrowserModule } from '@angular/platform-browser';
import { ReactiveFormsModule } from '@angular/forms';



@NgModule({
  declarations: [
    NgxPssSendgridComponent
  ],
  imports: [
    BrowserModule,
    HttpClientModule,
    ReactiveFormsModule
  ],
  exports: [
    NgxPssSendgridComponent
  ]
})
export class NgxPssSendgridModule { 

  public static forRoot(sendGridUrl: SendgridUrl): ModuleWithProviders<NgxPssSendgridModule> {

    return {
      ngModule: NgxPssSendgridModule,
      providers: [
        {
          provide: 'env',
          useValue: sendGridUrl
        }
      ]
    }
  }
}
