import { HttpClient } from '@angular/common/http';
import { Inject, Injectable } from '@angular/core';
import { ClientEmailData, SendgridData, SendgridUrl } from '../config/sendgrid-url.config';

@Injectable({
  providedIn: 'root'
})
export class NgxPssSendgridService {

  constructor(private http: HttpClient, @Inject('env') private env: SendgridUrl) { 

  }


  public sendEmail(jsonData: ClientEmailData) {

    const jsonBody = this.getSendgridData(jsonData);
    
    return this.http.post(this.env.sendgridAPI, jsonBody , { responseType: 'text'});
  }


  private getSendgridData(jsonData: ClientEmailData): SendgridData {
   
   return {
      from: this.env.sendgridEmail,
      fromName: this.env.siteName,
      to: this.env.sendgridEmail,
      toName: this.env.siteName,
      replyTo: jsonData.userEmail,
      subject: this.env.emailSubject,
       ...jsonData //the rest of the other fields
    }
   
  }
  
}
